#ifndef _EIUHR_H_
#define _EIUHR_H_

#include <inttypes.h>

#if defined (__AVR_ATtiny2313__)
    #define SIG_TIMEBASE SIG_OUTPUT_COMPARE1A
#endif // ATtiny2313

#if defined (__AVR_ATtiny24__)
    #define SIG_TIMEBASE SIG_OUTPUT_COMPARE0A
#endif // ATtiny24

#define IRQS_PER_SECOND		5000 
#define IRQS_PER_10MS 		(IRQS_PER_SECOND / 100) 

#define BEEP_PAUSE_10MS	 50
#define BEEP_10MS        10
#define BEEP_LANG        30

enum
{
	RUN_IDLE,
	RUN_DOWN,
	RUN_BEEP,
	RUN_AWAIT_KEY
};

typedef struct
{
	uint16_t bits_einer;
	uint8_t  bits_zehner;
	
	// The power will alway be on. 
	// So there is really no need to bother the EEPROM. 
	// We do not backup hell to EEPROM
	uint8_t  hell;
    
	char 	 beeps;
	uint8_t  phase;
} eiuhr_t;

extern eiuhr_t eiuhr;

extern void eiuhr_aus (void);
extern void eiuhr_beep (void);
extern void eiuhr_set_leds (uint8_t);
extern void timer_init(void);
extern void standby(void);

#endif // _EIUHR_H_
